Results 1 to 5 of 5

Thread: Upgraded to 21.04, cannot install Nvidia and a6100 adapter

  1. #1
    Join Date
    Oct 2009
    Location
    Clemmons NC
    Beans
    21
    Distro
    Ubuntu 9.10 Karmic Koala

    Upgraded to 21.04, cannot install Nvidia and a6100 adapter

    Hi, both were installed and working in 20.04, but all my attempts (with terminal commands) to install these now fail with errors on the install. I need some guidance on where to begin, I would like to get the a6100 working first.

    I just tried instructions from github, and the make errors are:

    Code:
      CC [M]  /home/leary/src/rtl8812AU_8821AU_linux/core/rtw_odm.o 
      CC [M]  /home/leary/src/rtl8812AU_8821AU_linux/core/efuse/rtw_efuse.o 
      CC [M]  /home/leary/src/rtl8812AU_8821AU_linux/os_dep/osdep_service.o 
    /home/leary/src/rtl8812AU_8821AU_linux/os_dep/osdep_service.c: In function ‘isFileReadable’: 
    /home/leary/src/rtl8812AU_8821AU_linux/os_dep/osdep_service.c:1951:11: error: implicit declaration of function ‘get_fs’; did you mean ‘get_ds’? [-Werror=implicit-function-declaration] 
     1951 |   oldfs = get_fs(); 
          |           ^~~~~~ 
          |           get_ds 
    /home/leary/src/rtl8812AU_8821AU_linux/os_dep/osdep_service.c:1951:11: error: incompatible types when assigning to type ‘mm_segment_t’ from type ‘int’ 
    /home/leary/src/rtl8812AU_8821AU_linux/os_dep/osdep_service.c:1952:3: error: implicit declaration of function ‘set_fs’; did you mean ‘sget_fc’? [-Werror=implicit-function-declaration] 
     1952 |   set_fs(get_ds()); 
          |   ^~~~~~ 
          |   sget_fc 
    /home/leary/src/rtl8812AU_8821AU_linux/os_dep/osdep_service.c:37:19: error: ‘KERNEL_DS’ undeclared (first use in this function); did you mean ‘KERNFS_NS’? 
       37 |  #define get_ds() KERNEL_DS 
          |                   ^~~~~~~~~ 
    /home/leary/src/rtl8812AU_8821AU_linux/os_dep/osdep_service.c:1952:10: note: in expansion of macro ‘get_ds’ 
     1952 |   set_fs(get_ds()); 
          |          ^~~~~~ 
    /home/leary/src/rtl8812AU_8821AU_linux/os_dep/osdep_service.c:37:19: note: each undeclared identifier is reported only once for each function it appears in 
       37 |  #define get_ds() KERNEL_DS 
          |                   ^~~~~~~~~ 
    /home/leary/src/rtl8812AU_8821AU_linux/os_dep/osdep_service.c:1952:10: note: in expansion of macro ‘get_ds’ 
     1952 |   set_fs(get_ds()); 
          |          ^~~~~~ 
    /home/leary/src/rtl8812AU_8821AU_linux/os_dep/osdep_service.c: In function ‘retriveFromFile’: 
    /home/leary/src/rtl8812AU_8821AU_linux/os_dep/osdep_service.c:1980:12: error: incompatible types when assigning to type ‘mm_segment_t’ from type ‘int’ 
     1980 |    oldfs = get_fs(); 
          |            ^~~~~~ 
    /home/leary/src/rtl8812AU_8821AU_linux/os_dep/osdep_service.c:37:19: error: ‘KERNEL_DS’ undeclared (first use in this function); did you mean ‘KERNFS_NS’? 
       37 |  #define get_ds() KERNEL_DS 
          |                   ^~~~~~~~~ 
    /home/leary/src/rtl8812AU_8821AU_linux/os_dep/osdep_service.c:1981:11: note: in expansion of macro ‘get_ds’ 
     1981 |    set_fs(get_ds()); 
          |           ^~~~~~ 
    /home/leary/src/rtl8812AU_8821AU_linux/os_dep/osdep_service.c: In function ‘storeToFile’: 
    /home/leary/src/rtl8812AU_8821AU_linux/os_dep/osdep_service.c:2015:12: error: incompatible types when assigning to type ‘mm_segment_t’ from type ‘int’ 
     2015 |    oldfs = get_fs(); 
          |            ^~~~~~ 
    /home/leary/src/rtl8812AU_8821AU_linux/os_dep/osdep_service.c:37:19: error: ‘KERNEL_DS’ undeclared (first use in this function); did you mean ‘KERNFS_NS’? 
       37 |  #define get_ds() KERNEL_DS 
          |                   ^~~~~~~~~ 
    /home/leary/src/rtl8812AU_8821AU_linux/os_dep/osdep_service.c:2016:11: note: in expansion of macro ‘get_ds’ 
     2016 |    set_fs(get_ds()); 
          |           ^~~~~~ 
    cc1: all warnings being treated as errors 
    make[2]: *** [scripts/Makefile.build:287: /home/leary/src/rtl8812AU_8821AU_linux/os_dep/osdep_service.o] Error 1 
    make[1]: *** [Makefile:1848: /home/leary/src/rtl8812AU_8821AU_linux] Error 2 
    make[1]: Leaving directory '/usr/src/linux-headers-5.11.0-18-generic' 
    make: *** [Makefile:1622: modules] Error 2 
    leary@ubuntu-upstairs:~/src/rtl8812AU_8821AU_linux$

    Most all other instructions give the same errors above on the make.

    Thanks
    Last edited by deadflowr; June 9th, 2021 at 05:59 AM. Reason: code tags

  2. #2
    Join Date
    Aug 2013
    Beans
    4,697

    Re: Upgraded to 21.04, cannot install Nvidia and a6100 adapter

    Probably because 21.04 use wayland as default. Try disable it and restart in X

    See post #4 by the Fu here.

  3. #3
    Join Date
    Oct 2009
    Location
    Clemmons NC
    Beans
    21
    Distro
    Ubuntu 9.10 Karmic Koala

    Re: Upgraded to 21.04, cannot install Nvidia and a6100 adapter

    Changed the setting to force xorg, but that had no effect, still cannot get the Netgear a6100 to work, must be something simple. Nvidia says it is being used, but no longer see the NVIDIA boot screens like in 20.04, so don't think that is installed properly.

  4. #4
    Join Date
    Aug 2013
    Beans
    4,697

    Re: Upgraded to 21.04, cannot install Nvidia and a6100 adapter

    What is the output for
    Code:
    nvidia-smi
    I am on 20.04 and don't have the nvidia-splash screen either, but everything works.

  5. #5
    Join Date
    Aug 2013
    Beans
    4,697

    Re: Upgraded to 21.04, cannot install Nvidia and a6100 adapter

    sorry wrong thread. post deleted.
    Last edited by monkeybrain20122; June 13th, 2021 at 05:11 AM.

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •